Skip to main content

Issue Ad Hoc Reward

POST 

/client/users/:correlation_id/adhoc-reward/

This request allows a partner to issue bonus points to a loyalty program member account in real-time.

Request

Body

AttributeDefinitionFormatNotes
channelThe channel for the transaction.StringFor example, "APP" or "POS"
businessUnitThe business unit for the transaction, if applicable.StringName of business unit
issuerIdThe unique identifier for the issuer of the ad hoc rewards points.String
rewardIdThe unique identifier for the ad hoc reward.String
rewardAmountThe amount of the reward.NumberCan be positive or negative integer.
externalReferenceIdReference ID used by the client to identify the reward.String

Response

AttributeDefinitionFormatNotes
transactionIdUnique identifier for the ad hoc reward transaction.String
messageMessage describing the purpose of the ad hoc reward.String

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestissuerId is mandatory and required to be non-emptyINVALID_REQUESTThere must be a value included to show the partner or business unit that is issuing the ad hoc rewards.
400 Bad RequestrewardId is mandatory and required to be non-emptyINVALID_REQUESTA unique reward ID must be included to identify the ad hoc reward transaction.
400 Bad RequestrewardAmount is mandatory and required to be non-emptyINVALID_REQUESTA reward amount value must be included to show the amount involved in the ad hoc reward transaction.
400 Bad RequestBusiness Unit is mandatory and required to be non-emptyINVALID_REQUESTThe Business Unit relevant to the ad hoc reward transaction must be included.
400 Bad RequestBusiness Unit [BUname] is not a valid business unitINVALID_REQUESTThe Business Unit must be in the list of valid business units supplied by the client and must be literally the same (no changed or additional characters).
400 Bad RequestReward identifier is invalidINVALID_REQUESTThe unique reward identifier does not match a valid identifier in the system.
400 Bad RequestAdhoc Reward feature is not enabledINVALID_REQUESTThe ad hoc reward transaction cannot be processed because the feature is not enabled.
400 Bad RequestMaximum allowed limit for reward amount that can be issued per transactionINVALID_REQUESTThe reward amount exceeds the maximum allowed limit for an ad hoc rewards transaction.
400 Bad RequestCould not find the accountINVALID_REQUESTThe account identified for this ad hoc reward transaction could not be found.
400 Bad RequestAccount is not activeINVALID_REQUESTThe account identified for this ad hoc reward transaction is not active.

Request

Responses

200 - Award Ad Hoc Reward Points